#define OPCODE_INVALID              0x00
#define OPCODE_PUSH_IMMED           0x01
#define OPCODE_ACOS                 0x02
#define OPCODE_ACOSH                0x03
#define OPCODE_AND                  0x04
#define OPCODE_ASIN                 0x05
#define OPCODE_ASINH                0x06
#define OPCODE_ATAN                 0x07
#define OPCODE_ATANH                0x08
#define OPCODE_CEIL                 0x09
#define OPCODE_COS                  0x0A
#define OPCODE_COSH                 0x0B
#define OPCODE_DIVIDE               0x0C
#define OPCODE_EQUAL                0x0D
#define OPCODE_EXP                  0x0E
#define OPCODE_FABS                 0x0F
#define OPCODE_FACTORIAL            0x10
#define OPCODE_FLOOR                0x11
#define OPCODE_GCD                  0x12
#define OPCODE_GEQ                  0x13
#define OPCODE_GT                   0x14
#define OPCODE_INTEGRATE            0x15
#define OPCODE_LCM                  0x16
#define OPCODE_LEQ                  0x17
#define OPCODE_LOG                  0x18
#define OPCODE_LT                   0x19
#define OPCODE_MAX                  0x1A
#define OPCODE_MIN                  0x1B
#define OPCODE_MINUS                0x1C
#define OPCODE_MOD                  0x1D
#define OPCODE_NEQ                  0x1E
#define OPCODE_NOT                  0x1F
#define OPCODE_OR                   0x20
#define OPCODE_PLUS                 0x21
#define OPCODE_POW                  0x22
#define OPCODE_QUOT                 0x23
#define OPCODE_RETURN               0x24
#define OPCODE_SIN                  0x25
#define OPCODE_SINH                 0x26
#define OPCODE_TAN                  0x27
#define OPCODE_TANH                 0x28
#define OPCODE_TIMES                0x29
#define OPCODE_UMINUS               0x2A
#define OPCODE_XOR                  0x2B
#define OPCODE_CONVERGED            0x2C
#define OPCODE_JMPIF                0x2D
#define OPCODE_RESETCONVERGENCE     0x2E
#define OPCODE_SAVEPOINT            0x2F
#define OPCODE_CALLTRAIN            0x30
#define OPCODE_CALLRUN              0x31
#define OPCODE_CREATEBB             0x32
#define OPCODE_GETAVERAGEINPUT      0x33
#define OPCODE_MINIMISE             0x34
#define OPCODE_SETJMP               0x35
#define OPCODE_FETCHDOUBLE          0x36
#define OPCODE_MOV                  0x37
#define OPCODE_RETURN1              0x38
#define LAST_OPCODE                 0x38
